## cloudflare: object

CloudflareConfig contains configuration for Cloudflare integration.


**Properties**

|Name|Type|Description|Required|
|----|----|-----------|--------|
|**enabled**|`boolean`|Enabled toggles the Cloudflare snapshot handler||
|**apitoken**|`string`|APIToken is the API token used for Cloudflare client initialization||
|**accountid**|`string`|AccountID is the Cloudflare account ID to use for snapshot operations||
|**clientid**|`string`|ClientID is the Cloudflare Access client ID for shortlink API requests||
|**clientsecret**|`string`|ClientSecret is the Cloudflare Access client secret for shortlink API requests||

**Additional Properties:** not allowed  
<a name="shortlinks"></a>